#include "SDLSaveMovie_int.h"

#if USE_MPEG
extern void SDLSaveMovie_MPEG_setMethod_private(SDLSaveMovie* ctx, char* method);
extern char* SDLSaveMovie_MPEG_getMethod_private(SDLSaveMovie* ctx);

void SDLSaveMovie_MPEG_setMethod(SDLSaveMovie* ctx, char* method)
{
	/*  SDLSaveMovie_setdriver(ctx, "mpeg");
	    SDLSaveMovie_setdriver_fallback(ctx, 0);*/
	SDLSaveMovie_MPEG_setMethod_private(ctx, method);
}
char* SDLSaveMovie_MPEG_getMethod(SDLSaveMovie* ctx)
{
	return SDLSaveMovie_MPEG_getMethod_private(ctx);
}
#else /* USE_MPEG */
void SDLSaveMovie_MPEG_setMethod(SDLSaveMovie* ctx, char* method)
{
	return;
}
char* SDLSaveMovie_MPEG_getMethod(SDLSaveMovie* ctx)
{
	return NULL;
}
#endif /* USE_MPEG */
