#include <SDL.h>
#include <SDLSaveMovie.h>

int main(void){
	SDL_Surface* screen; SDL_Surface* bmp;
	SDL_Rect r;

	SDLSaveMovie* param;

	SDL_Init(SDL_INIT_VIDEO | SDL_INIT_NOPARACHUTE);
	screen = SDL_SetVideoMode(320,240,32,SDL_SWSURFACE);
	bmp = SDL_LoadBMP("nurinuri.bmp");
	r.h = bmp->h; r.w = bmp->w; r.x = r.y = 0;
	SDL_BlitSurface(bmp, NULL, screen, &r);
	SDL_UpdateRect(screen, 0, 0, 0, 0);

	fprintf(stderr, "A\n");

	param = SDLSaveMovie_Init();
	param->driver_fallback = 0;
	param->quality = 40;
	param->interval = 100;
	param->drivername = "mpeg";
	SDLSaveMovie_MPEG_setMethod(param, "mpeg4");

	if(SDLSaveMovie_Start_SDL(param, screen, "test2") != 0){
		fprintf(stderr, "SDLSaveMovie_Init_SDL: %s\n", SDLSaveMovie_GetError());
		return -1; /* every 0.1msec */
	}
	fprintf(stderr, "A\n");
	SDL_Delay(1000);
	fprintf(stderr, "A\n");
	SDLSaveMovie_Stop(param);

	SDLSaveMovie_Terminate(param);

	fprintf(stderr, "A\n");
	return 0;
}
